Package: org.codehaus.groovy.ast.expr

## [Java] Class TupleExpression

- org.codehaus.groovy.ast.expr.TupleExpression

- All Implemented Interfaces and Traits:
    Iterable

      public class TupleExpression
      extends Expression

  Represents a tuple expression {1, 2, 3} which creates an immutable List

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TupleExpression ()`
    `TupleExpression (Expression expr)`
    `TupleExpression (Expression expr1, Expression expr2)`
    `TupleExpression (Expression expr1, Expression expr2, Expression expr3)`
    `TupleExpression (int length)`
    `TupleExpression (List<Expression> expressions)`
    `TupleExpression (Expression[] expressionArray)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `TupleExpression` | `addExpression(Expression expression)`
    `` | `Expression` | `getExpression(int i)`
    `` | `List<Expression>` | `getExpressions()`
    `` | `String` | `getText()`
    `` | `Iterator<Expression>` | `iterator()`
    `` | `String` | `toString()`
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public TupleExpression()

    - #### public TupleExpression(Expression expr)

    - #### public TupleExpression(Expression expr1, Expression expr2)

    - #### public TupleExpression(Expression expr1, Expression expr2, Expression expr3)

    - #### public TupleExpression(int length)

    - #### public TupleExpression(List<Expression> expressions)

    - #### public TupleExpression(Expression[] expressionArray)

  - ### Method Detail

    - #### public TupleExpression addExpression(Expression expression)

    - #### public Expression getExpression(int i)

    - #### public List<Expression> getExpressions()

    - #### public String getText()

    - #### public Iterator<Expression> iterator()

    - #### public String toString()

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)